DTEDAdmin (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.dted
Class DTEDAdmin

    java.lang.Object
      com.bbn.openmap.dataAccess.dted.DTEDAdmin

    public class DTEDAdmin

extends java.lang.Object

DTEDAdmin is a utility class that finds DTED frame files in order to copy or delete them. You can specify coordinate boundaries and DTED level as filters. Usage:

       -help       Print usage statement, with arguments. (0 arguments expected)
       -boundary   upper lat, left lon, lower lat, right lon (4 arguments expected)
       -copy       Copy files to DTED directory. (1 argument expected)
       -level      DTED level to consider (0, 1, 2). (1 argument expected)
       -outside    Use files outside boundary. (0 arguments expected)
       -query      Print out files that meet parameters. (0 arguments expected)
       -remove     Delete DTED files. (0 arguments expected)
       -source     The source DTED directory path. (1 argument expected)
       -verbose    Print out progress. (0 arguments expected)

Field Summary
`static int` | `DTED_EQUAL_LEVELS`
`static int` | `DTED_LARGER_LEVELS`
`static int` | `DTED_NOTEQUAL_LEVELS`
`static int` | `DTED_SMALLER_LEVELS`
`protected int` | `equal_`
`protected java.util.LinkedList` | `frameList`
`protected boolean` | `framesPrepped`
`protected boolean` | `inside_`
`protected int` | `level_`
`protected DTEDLocator` | `locator`
`protected double` | `lrlat_`
`protected double` | `lrlon_`
`static int` | `MAXLEVELS`
`protected double` | `ullat_`
`protected double` | `ullon_`

Constructor Summary
`DTEDAdmin()` Create a DTEDAdmin object, with file filter parameters to be specified later.
`DTEDAdmin(java.lang.String dtedDir, double ullat, double ullon, double lrlat, double lrlon, int level, boolean inside, int equal)` Create a DTEDAdmin with the following parameters.

Method Summary
`protected boolean` | `copyTo(java.util.LinkedList files, java.lang.String todteddir)` Get the internal frame list and copy those frames to the given directory.
`boolean` | `copyTo(java.lang.String todteddir)` Get the internal frame list and copy those frames to the given directory.
`protected java.util.LinkedList` | `getFrameList()` Get the internal frame list, a LinkedList expected to hold File objects.
`protected java.util.LinkedList` | `getFrameList(java.lang.String dtedDir)` Figure out the frames with the current parameters for the source directory provided.
`static void` | `main(java.lang.String[] argv)` Run DTEDAdmin from the command line.
`protected java.util.LinkedList` | `organizeFrames(java.lang.String dtedDir, double ullat, double ullon, double lrlat, double lrlon, int level, boolean inside, int equal)` Create the internal list of frame files based on the following parameters.
`boolean` | `query()` Print out a list of DTED files that meet the current internal parameters.
`protected boolean` | `query(java.util.LinkedList files)` Print out a list of DTED files that are on the provided list of File objects.
`boolean` | `remove()` Delete the DTED files that meet the internal file list parameters.
`protected boolean` | `remove(java.util.LinkedList files)` Delete the DTED files that meet the internal file list parameters.
`protected void` | `setFrameList(java.util.LinkedList ll)` Set the internal frame list, a LinkedList expected to hold File objects.
`void` | `setFrameList(java.lang.String dtedDir, double ullat, double ullon, double lrlat, double lrlon, int level, boolean inside, int equal)` Create the internal list of frame files based on the following parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### framesPrepped

    protected boolean framesPrepped

### level_

    protected int level_

### ullat_

    protected double ullat_

### ullon_

    protected double ullon_

### lrlat_

    protected double lrlat_

### lrlon_

    protected double lrlon_

### inside_

    protected boolean inside_

### equal_

    protected int equal_

### frameList

    protected java.util.LinkedList frameList

### locator

    protected DTEDLocator locator

### MAXLEVELS

    public static final int MAXLEVELS

See Also:
  Constant Field Values

### DTED_LARGER_LEVELS

    public static final int DTED_LARGER_LEVELS

See Also:
  Constant Field Values

### DTED_SMALLER_LEVELS

    public static final int DTED_SMALLER_LEVELS

See Also:
  Constant Field Values

### DTED_NOTEQUAL_LEVELS

    public static final int DTED_NOTEQUAL_LEVELS

See Also:
  Constant Field Values

### DTED_EQUAL_LEVELS

    public static final int DTED_EQUAL_LEVELS

See Also:
  Constant Field Values

Constructor Detail

### DTEDAdmin

    public DTEDAdmin()

  Create a DTEDAdmin object, with file filter parameters to be specified later.

### DTEDAdmin

    public DTEDAdmin(java.lang.String dtedDir,
                     double ullat,
                     double ullon,
                     double lrlat,
                     double lrlon,
                     int level,
                     boolean inside,
                     int equal)

  Create a DTEDAdmin with the following parameters.

  Parameters:
    `dtedDir` - the source dted directory
    `ullat` - the upper latitude of the boundary box to use.
    `ullon` - the western latitude of the boundary box to use, greater than -180.
    `lrlat` - the lower latitude of the boundary box to use.
    `lrlon` - the eastern latitude of the boundary box to use, less than 180.
    `level` - the dted level to consider.
    `inside` - if true, files inside the boundary box will be considered. If false, files outside the box will be.
    `equal` - filter for the level - Possible values are DTED_LARGER_LEVELS (any file with a level greater than the one specified) , DTED_SMALLER_LEVELS (any file with a level less than the one specified), DTED_NOTEQUAL_LEVELS (any file with a level not equal to the one specified), and DTED_EQUAL_LEVELS (any file with the level specified).

Method Detail

### organizeFrames

    protected java.util.LinkedList organizeFrames(java.lang.String dtedDir,
                                                  double ullat,
                                                  double ullon,
                                                  double lrlat,
                                                  double lrlon,
                                                  int level,
                                                  boolean inside,
                                                  int equal)

  Create the internal list of frame files based on the following parameters.

  Parameters:
    `dtedDir` - the source dted directory
    `ullat` - the upper latitude of the boundary box to use.
    `ullon` - the western latitude of the boundary box to use, greater than -180.
    `lrlat` - the lower latitude of the boundary box to use.
    `lrlon` - the eastern latitude of the boundary box to use, less than 180.
    `level` - the dted level to consider.
    `inside` - if true, files inside the boundary box will be considered. If false, files outside the box will be.
    `equal` - filter for the level - Possible values are DTED_LARGER_LEVELS (any file with a level greater than the one specified) , DTED_SMALLER_LEVELS (any file with a level less than the one specified), DTED_NOTEQUAL_LEVELS (any file with a level not equal to the one specified), and DTED_EQUAL_LEVELS (any file with the level specified).

### setFrameList

    public void setFrameList(java.lang.String dtedDir,
                             double ullat,
                             double ullon,
                             double lrlat,
                             double lrlon,
                             int level,
                             boolean inside,
                             int equal)

  Create the internal list of frame files based on the following parameters.

  Parameters:
    `dtedDir` - the source dted directory
    `ullat` - the upper latitude of the boundary box to use.
    `ullon` - the western latitude of the boundary box to use, greater than -180.
    `lrlat` - the lower latitude of the boundary box to use.
    `lrlon` - the eastern latitude of the boundary box to use, less than 180.
    `level` - the dted level to consider.
    `inside` - if true, files inside the boundary box will be considered. If false, files outside the box will be.
    `equal` - filter for the level - Possible values are DTED_LARGER_LEVELS (any file with a level greater than the one specified) , DTED_SMALLER_LEVELS (any file with a level less than the one specified), DTED_NOTEQUAL_LEVELS (any file with a level not equal to the one specified), and DTED_EQUAL_LEVELS (any file with the level specified).

### setFrameList

    protected void setFrameList(java.util.LinkedList ll)

  Set the internal frame list, a LinkedList expected to hold File objects.

### getFrameList

    protected java.util.LinkedList getFrameList()

  Get the internal frame list, a LinkedList expected to hold File objects.

### getFrameList

    protected java.util.LinkedList getFrameList(java.lang.String dtedDir)

  Figure out the frames with the current parameters for the source directory provided.

### copyTo

    public boolean copyTo(java.lang.String todteddir)

  Get the internal frame list and copy those frames to the given directory.

  Returns:
    true if everything went OK, false if not enough information is available to create a source file list.

### copyTo

    protected boolean copyTo(java.util.LinkedList files,
                             java.lang.String todteddir)

  Get the internal frame list and copy those frames to the given directory.

  Parameters:
    `files` - a LinkedList of Files to copy.
    `todteddir` - a dted directory to copy files into.
  Returns:
    true if everything went OK, false if not enough information is available to create a source file list.

### remove

    public boolean remove()

  Delete the DTED files that meet the internal file list parameters.

  Returns:
    true if everything went OK, false if not enough information is available to create a source file list.

### remove

    protected boolean remove(java.util.LinkedList files)

  Delete the DTED files that meet the internal file list parameters.

  Parameters:
    `files` - the LinkedList of File objects representing DTED frame files.
  Returns:
    true if everything went OK, false if not enough information is available to create a source file list.

### query

    public boolean query()

  Print out a list of DTED files that meet the current internal parameters.

### query

    protected boolean query(java.util.LinkedList files)

  Print out a list of DTED files that are on the provided list of File objects.

### main

    public static void main(java.lang.String[] argv)

  Run DTEDAdmin from the command line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details